GPSBABEL(1)

NAME
gpsbabel - convert and manipulate waypoints, tracks, and routes between formats.

SYNOPSIS

gpsbabel [-iofFxsh] [file...]

DESCRIPTION

GPSBabel converts waypoints, tracks, and routes from one format to another. GPSBabel also downloads and uploads waypoints, tracks, and routes to and from a GPS receiver (such as those by Garmin and Magellan) connected by a serial or USB port.

By flattening the Tower of Babel that the authors of various programs for manipulating GPS data have imposed upon us, it returns to us the ability to freely move our own waypoint data between the programs and hardware we choose to use.

It contains extensive data manipulation abilities making it a convenient for server-side processing or as the backend for other tools.

OPTIONS

GPSBabel accepts the following options and processes them in order from left to right. Additional options are documented in the docbook help.

-i format
    Use format as the type of file to read.

-f name
    Use name as the filename to read.

-o format
    Use format as the type of file to write.

-F name
    Use name as the filename to write.

-x filter
    Invoke an internal filter on the data.

-s
    Generate short names for waypoints on output.

-h [format]
    Display help that is more exhaustive than this page. If format is given, provide help for only that format.

Lists of filters and formats are given in the doc at /usr/share/doc/gpsbabel/.

SEE ALSO

https://www.gpsbabel.org

AUTHOR

Robert Lipe et al.